Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003497 [JEDI VCL] 00 JVCL Components minor always 2006-02-08 10:28 2006-04-05 05:46
Reporter foxymop View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003497: Memory leak in JvDriveCtrls
Description JvDriveCtrls uses the function SHGetFileInfo, in some instances with the SHGFI_LARGEICON, SHGFI_SMALLICON, SHGFI_ICON which returns an icon handle in the hICON member of the SHFILEINFO structure.

It is not being freed -- this causes a system crash when using JvDriveCtrls to build a list of files/directories on a drive with a very large number of files present.

The info below is taken from http://msdn.microsoft.com/library/default.asp?url=/library/en-us/shellcc/platform/shell/reference/functions/shgetfileinfo.asp [^]

"If SHGetFileInfo returns an icon handle in the hIcon member of the SHFILEINFO structure pointed to by psfi, you are responsible for freeing it with DestroyIcon when you no longer need it."
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008535)
obones (administrator)
2006-02-09 12:43

Yes, but we use it with the SHGFI_SYSICONINDEX flag, which, to me, means that the Icon is shared and as such should not be destroyed.
However, it may happen that SHGFI_SYSICONINDEX is not always used, in which case there is a potential memory leak.
(0008965)
obones (administrator)
2006-04-05 05:46

Ok, SHGFI_ICON was set in three different places, where it should not have been. This is now fixed.

- Issue History
Date Modified Username Field Change
2006-02-08 10:28 foxymop New Issue
2006-02-09 12:43 obones Note Added: 0008535
2006-02-09 12:43 obones Status new => feedback
2006-04-05 05:46 obones Status feedback => resolved
2006-04-05 05:46 obones Resolution open => fixed
2006-04-05 05:46 obones Assigned To => obones
2006-04-05 05:46 obones Note Added: 0008965
2006-04-17 10:06 foxymop Issue Monitored: foxymop


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker